﻿@model EmailViewModel

<div class="content-wrapper">
    <textarea readonly style="background-color:ivory;">@if (Model.EmailBodyContent != null)
        {
            @Html.Raw(@Model.EmailBodyContent)
        }
    </textarea>

    @if (Model.Attachments.Count > 0)

    {
        foreach (var attachment in Model.Attachments)
        {
            <div><img src="/images/paperclip-vector-paper-clamp-3.png" style="width:18px" />: @attachment.FileName, Size: @attachment.Size bytes</div>
        }
    }

    @if (Model.EmailStatusType == "Open")
    {
        if (User.IsInRole("Manager"))
        {
            <button type="submit" class="btn btn-success" id="New" data-dismiss="modal">New</button>
        }

        <button type="submit" class="btn btn-success" id="Approved" data-dismiss="modal">Approved</button>
        <button type="submit" class="btn btn-success" id="Rejected" data-dismiss="modal">Rejected</button>
    }

</div>


<style>
    .content-wrapper textarea {
        width: 100%;
        height: calc(100vh - 320px);
        resize: none;
    }
</style>


<script>
    $(function () {
        $('#New').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailid');

            $.post("/Email/ChangeStatusToNewAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>

<script>
    $(function () {
        $('#Approved').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailid');

            $.post("/Email/LoanApprovedAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });$(function () {
        $('#Rejected').click(function (e) {
            e.preventDefault();
            var id = $(this).data('emailid');

            $.post("/Email/LoanRejectedAsync/", { emailId: id }, function (response) {
                console.log(response);
            });
        });
    });
</script>


